Skip to main content
GET
curl

Authorizations

Authorization
string
header
required

An API key (sig_...), or a session token from the web app.

Path Parameters

agentId
string<uuid>
required

The agent's id.

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
Example:

"3f1c2d4e-5a6b-4c7d-8e9f-0a1b2c3d4e5f"

Query Parameters

status
enum<string>
default:pending

Which proposals: pending (the default), approved, rejected, superseded or all.

Available options:
pending,
approved,
rejected,
superseded,
all
testId
string<uuid>

Only this test's.

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
Example:

"3f1c2d4e-5a6b-4c7d-8e9f-0a1b2c3d4e5f"

Response

The proposals.

object
enum<string>
required
Available options:
list
data
object[]
required
hasMore
boolean
required
nextCursor
string | null
required

Pass as cursor for the next page; null on the last page.